Bug 736771 - Request to add java-1.6.0-sun update 27 to RHN
Summary: Request to add java-1.6.0-sun update 27 to RHN
Keywords:
Status: CLOSED DUPLICATE of bug 737445
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: java-1.6.0-sun
Version: 5.8
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 16:14 UTC by Lami Akagwu
Modified: 2011-09-14 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 07:01:35 UTC


Attachments (Terms of Use)

Description Lami Akagwu 2011-09-08 16:14:22 UTC
Description of problem:

An issue with the compiler optimisations, introduced in update 25, triggers a jvm crash in jdk 1.6 update 26

It is fixed in jdk 1.6 update 27.

Version-Release number of selected component (if applicable):
Affects jdk 1.6 update 25 and 26

How reproducible:
I did not reproduce it myself, but here is a snippet of the ticket from the customer

<snip>
After updating Oracle JDK 1.6 on the 32-bit RHEL5 server to from java-1.6.0-sun-1.6.0.17-1jpp.2.el5.i586 to java-1.6.0-sun-1.6.0.26-1jpp.1.el5.i586 Tomcat start up fails.
JVM crashed with the following in the crash log

---
#
# There is insufficient memory for the Java Runtime Environment to continue.
# Native memory allocation (malloc) failed to allocate 131080 bytes for Chunk::new
# Possible reasons:
#   The system is out of physical RAM or swap space
#   In 32 bit mode, the process size limit was hit
# Possible solutions:
#   Reduce memory load on the system
#   Increase physical memory or swap space
#   Check if swap backing store is full
#   Use 64 bit Java on a 64 bit OS
#   Decrease Java heap size (-Xmx/-Xms)
#   Decrease number of Java threads
#   Decrease Java thread stack sizes (-Xss)
#   Set larger code cache with -XX:ReservedCodeCacheSize=
# This output file may be truncated or incomplete.
#
#  Out of Memory Error (allocation.cpp:317), pid=12234, tid=589777808
#
# JRE version: 6.0_26-b03
# Java VM: Java HotSpot(TM) Server VM (20.1-b02 mixed mode linux-x86 )

---------------  T H R E A D  ---------------

Current thread (0x23760800):  JavaThread "C2 CompilerThread0" daemon [_thread_in_native, id=12243, stack(0x231f4000,0x23275000)]

Stack: [0x231f4000,0x23275000],  sp=0x23271de0,  free space=503k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
V  [libjvm.so+0x7248b0]
---
</snip>


Additional info:
Oracle bug references
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7040769
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7042582

Comment 1 jiri vanek 2011-09-10 08:01:18 UTC
Hi!

Currently I can not ship sun java 6 into RHN, but I hope  blockers wil be removed asap, and then sun jdk will be shipped very fast.

Comment 2 jiri vanek 2011-09-12 07:01:35 UTC

*** This bug has been marked as a duplicate of bug 737445 ***


Note You need to log in before you can comment on or make changes to this bug.